VERSION 5.00
Begin VB.Form frmTest 
   AutoRedraw      =   -1  'True
   Caption         =   "Test"
   ClientHeight    =   4785
   ClientLeft      =   2970
   ClientTop       =   2580
   ClientWidth     =   9315
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   4785
   ScaleWidth      =   9315
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   7320
      TabIndex        =   2
      Top             =   4140
      Width           =   1875
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   495
      Left            =   3720
      TabIndex        =   1
      Top             =   4140
      Width           =   1875
   End
   Begin VB.CommandButton cmdTryIt 
      Caption         =   "Try It"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   4140
      Width           =   1875
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdClear_Click()
    Cls
End Sub


Private Sub cmdExit_Click()
    End
End Sub


Private Sub cmdTryIt_Click()

    ' Declare an object variable for the FSO itself, instantiating
    ' it by using the "New" keyword in the declaration.
    ' Declaration is made at the local level (i.e., within the
    ' Sub), as it will not be used in any other Sub in this program).
    Dim objFSO          As New Scripting.FileSystemObject
    
    ' Declare an object variable for the FSO TextStream object
    Dim objTextFile     As TextStream
    
    ' Filename-related declarations
    Dim strEmpFileName  As String
    Dim strBackSlash    As String
    
    ' Record and field name declarations
    Dim strEmpRecord    As String
    Dim strEmpName      As String
    Dim intDeptNbr      As Integer
    Dim strJobTitle     As String
    Dim dtmHireDate     As Date
    Dim sngHrlyRate     As Single
    
    ' set up the text file name
    strBackSlash = IIf(Right$(App.Path, 1) = "\", "", "\")
    strEmpFileName = App.Path & strBackSlash & "EMPLOYEE.DAT"
    
    '**************************************************************
    '*** First portion of this sample program: Read and display the
    '*** records in the employee text file ...
    '**************************************************************
    
    ' Display headings prior to processing the file ...
    Print "The following records were read from the text file:"
    Print "EMP NAME"; _
          Tab(25); "DEPT"; _
          Tab(35); "JOB TITLE"; _
          Tab(60); "HIRE DATE"; _
          Tab(71); "HRLY RATE"
    Print "--------"; _
          Tab(25); "----"; _
          Tab(35); "---------"; _
          Tab(60); "---------"; _
          Tab(71); "---------"
    
    ' Using the OpenTextFile method of the FSO, set the TextStream object
    ' variable "objTextFile" to be a reference to the employee file that
    ' we want to process. The second argument of the OpenTextFile method
    ' (expressed as the FSO constant "ForReading") tells the system that
    ' we want to process the file in an input mode ...
    Set objTextFile = objFSO.OpenTextFile(strEmpFileName, ForReading)
    
    ' Set up a loop to process the text file until we reach end-of-file.
    ' The TextStream property "AtEndOfStream" enables us to test this.
    Do Until objTextFile.AtEndOfStream
        ' Read a "record" (line) from the TextStream object using the
        ' "ReadLine" method of the TextStream object ...
        strEmpRecord = objTextFile.ReadLine
        ' Break up the record into separate fields, as was done in previous
        ' sample programs ...
        strEmpName = Left$(strEmpRecord, 20)
        intDeptNbr = Val(Mid$(strEmpRecord, 21, 4))
        strJobTitle = Mid$(strEmpRecord, 30, 21)
        dtmHireDate = CDate(Mid$(strEmpRecord, 51, 10))
        sngHrlyRate = Val(Mid$(strEmpRecord, 61, 5))
        ' Display the contents of the fields ...
        Print strEmpName; _
              Tab(25); Format$(intDeptNbr, "@@@@"); _
              Tab(35); strJobTitle; _
              Tab(60); Format$(dtmHireDate, "mm/dd/yyyy"); _
              Tab(71); Format$(Format$(sngHrlyRate, "Standard"), "@@@@@@@")
    Loop
    
    ' After processing all the records in the text file, close the file using the
    ' Close method of the TextStream object ...
    objTextFile.Close
    
    '****************************************************************
    '*** Second portion of this sample program: Read and display the
    '*** records in the employee text file ...
    '****************************************************************
    
    ' Display headings prior to processing the file ...
    Print
    Print "The following records were written to the text file:"
    Print "EMP NAME"; _
          Tab(25); "DEPT"; _
          Tab(35); "JOB TITLE"; _
          Tab(60); "HIRE DATE"; _
          Tab(71); "HRLY RATE"
    Print "--------"; _
          Tab(25); "----"; _
          Tab(35); "---------"; _
          Tab(60); "---------"; _
          Tab(71); "---------"
    
    ' Using the OpenTextFile method of the FSO, "re"-set the TextStream object
    ' variable "objTextFile" to be a reference to the employee file that
    ' we want to process. This time, the second argument of the OpenTextFile
    ' method (expressed as the FSO constant "ForAppending") tells the system that
    ' we want to process the file in an output mode, appending each new record
    ' to the end of the file ...
    Set objTextFile = objFSO.OpenTextFile(strEmpFileName, ForAppending)
    
    ' As in previous sample programs, set up an "input loop" to prompt the user
    ' for data.
    ' "Priming" input:
    strEmpName = InputBox("Enter name (or click Cancel to stop):")
    
    ' The loop will continue until the user clicks "Cancel" on the InputBox (which
    ' will cause the result variable of InputBox (strEmpName) to be set to a zero-
    ' length string ("") ...
    Do Until strEmpName = ""
        ' Prompt the user for each field:
        intDeptNbr = InputBox("Enter dept:")
        strJobTitle = InputBox("Enter job title:")
        dtmHireDate = InputBox("Enter hire date:")
        sngHrlyRate = InputBox("Enter hourly rate:")
        ' Create the record to be written by concatenating the input fields ...
        strEmpRecord = Left$(strEmpName & Space$(20), 20) _
                     & Format$(intDeptNbr, "@@@@") _
                     & Space$(5) _
                     & Left$(strJobTitle & Space$(21), 21) _
                     & Left$(Format$(dtmHireDate, "m/d/yyyy") & Space$(10), 10) _
                     & Format$(Format$(sngHrlyRate, "#0.00"), "@@@@@")
        ' Using the WriteLine method of the TextStream object,
        ' write the record to the file ...
        objTextFile.WriteLine strEmpRecord
        ' Display the contents of the record that was written on the form ...
        Print strEmpName; _
              Tab(25); Format$(intDeptNbr, "@@@@"); _
              Tab(35); strJobTitle; _
              Tab(60); Format$(dtmHireDate, "mm/dd/yyyy"); _
              Tab(71); Format$(Format$(sngHrlyRate, "Standard"), "@@@@@@@")
        ' Start a new record by prompting for the employee name ...
        strEmpName = InputBox("Enter name (or click Cancel to stop):")
    Loop
    
    ' After adding the desired records, close the file using the
    ' Close method of the TextStream object ...
    objTextFile.Close
    
    ' Release the resources consumed by the objects by setting them to Nothing ...
    Set objTextFile = Nothing
    Set objFSO = Nothing

End Sub
